<rtflowfile version="1.0">
   <block name="Plant" folder="User\" width="64" height="240">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="false"/>
      <graphic class="rect" x1="0" y1="0" x2="64" y2="240">
         <fill fill="true" color="0x00BBFFFF"/>
      </graphic>
      <port name="left" type="bool" x="0" y="16" kind="input" dir="left"/>
      <port name="right" type="bool" x="0" y="32" kind="input" dir="left"/>
      <port name="thrust" type="bool" x="0" y="48" kind="input" dir="left"/>
      <port name="fire" type="bool" x="0" y="64" kind="input" dir="left"/>
      <port name="y1" type="real" x="64" y="16" kind="output" dir="right"/>
      <port name="x1" type="real" x="64" y="32" kind="output" dir="right"/>
      <port name="rot1" type="real" x="64" y="48" kind="output" dir="right"/>
      <port name="x2" type="real" x="64" y="64" kind="output" dir="right"/>
      <port name="y2" type="real" x="64" y="80" kind="output" dir="right"/>
      <port name="rot2" type="real" x="64" y="96" kind="output" dir="right"/>
      <port name="bulletx1" type="real" x="64" y="112" kind="output" dir="right"/>
      <port name="bullety1" type="real" x="64" y="128" kind="output" dir="right"/>
      <port name="bullet1" type="bool" x="64" y="144" kind="output" dir="right"/>
      <port name="bullet2" type="bool" x="64" y="160" kind="output" dir="right"/>
      <port name="hits1on2" type="int" x="64" y="176" kind="output" dir="right"/>
      <port name="hits2on1" type="int" x="64" y="192" kind="output" dir="right"/>
      <port name="bulletx2" type="real" x="64" y="208" kind="output" dir="right"/>
      <port name="bullety2" type="real" x="64" y="224" kind="output" dir="right"/>
   </block>
   <schematic name="Plant" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="left1" block="BoolInput" x="48" y="24"/>
      <binstance name="right1" block="BoolInput" x="48" y="40"/>
      <binstance name="thrust1" block="BoolInput" x="48" y="56"/>
      <binstance name="fire1" block="BoolInput" x="48" y="72"/>
      <binstance name="x1" block="RealOutput" x="704" y="24"/>
      <binstance name="y1" block="RealOutput" x="704" y="40"/>
      <binstance name="rot1" block="RealOutput" x="704" y="56"/>
      <binstance name="bullet1" block="BoolOutput" x="704" y="104"/>
      <binstance name="bulletx1" block="RealOutput" x="704" y="72"/>
      <binstance name="bullety1" block="RealOutput" x="704" y="88"/>
      <binstance name="hits1on2" block="IntOutput" x="704" y="184"/>
      <binstance name="x2" block="RealOutput" x="704" y="408"/>
      <binstance name="y2" block="RealOutput" x="704" y="424"/>
      <binstance name="rot2" block="RealOutput" x="704" y="440"/>
      <binstance name="bullet2" block="BoolOutput" x="704" y="488"/>
      <binstance name="bulletx2" block="RealOutput" x="704" y="456"/>
      <binstance name="bullety2" block="RealOutput" x="704" y="472"/>
      <binstance name="hits2on1" block="IntOutput" x="704" y="296"/>
      <binstance name="Ship1" block="Ship" x="288" y="16"/>
      <binstance name="Ship2" block="Ship" x="288" y="400"/>
      <binstance name="Hit1On2" block="HitDetect" x="432" y="160"/>
      <binstance name="Hit2On1" block="HitDetect" x="432" y="272"/>
      <binstance name="Value1" block="Value" x="32" y="88">
         <constant name="value" value="100" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="Value2" block="Value" x="32" y="472">
         <constant name="value" value="540" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="left2" block="BoolInput" x="48" y="408"/>
      <binstance name="right2" block="BoolInput" x="48" y="424"/>
      <binstance name="thrust2" block="BoolInput" x="48" y="440"/>
      <binstance name="fire2" block="BoolInput" x="48" y="456"/>
      <connection name="left1" port1="left1.o" port2="Ship1.left">
         <point x="64" y="32"/>
         <point x="288" y="32"/>
      </connection>
      <connection name="right1" port1="right1.o" port2="Ship1.right">
         <point x="64" y="48"/>
         <point x="288" y="48"/>
      </connection>
      <connection name="thrust1" port1="thrust1.o" port2="Ship1.thrust">
         <point x="64" y="64"/>
         <point x="288" y="64"/>
      </connection>
      <connection name="fire1" port1="fire1.o" port2="Ship1.fire">
         <point x="64" y="80"/>
         <point x="288" y="80"/>
      </connection>
      <connection name="x1" port1="Ship1.x" port2="x1.i0">
         <point x="352" y="32"/>
         <point x="704" y="32"/>
      </connection>
      <connection name="y1" port1="Ship1.y" port2="y1.i0">
         <point x="352" y="48"/>
         <point x="704" y="48"/>
      </connection>
      <connection name="rot1" port1="Ship1.rot" port2="rot1.i0">
         <point x="352" y="64"/>
         <point x="704" y="64"/>
      </connection>
      <connection name="bulletx1" port1="Ship1.bulletx" port2="bulletx1.i0">
         <point x="352" y="80"/>
         <point x="704" y="80"/>
      </connection>
      <connection name="bullety1" port1="Ship1.bullety" port2="bullety1.i0">
         <point x="352" y="96"/>
         <point x="704" y="96"/>
      </connection>
      <connection name="bullet1" port1="Ship1.bullet" port2="bullet1.i0">
         <point x="352" y="112"/>
         <point x="704" y="112"/>
      </connection>
      <connection name="x2" port1="Ship2.x" port2="x2.i0">
         <point x="352" y="416"/>
         <point x="704" y="416"/>
      </connection>
      <connection name="y2" port1="Ship2.y" port2="y2.i0">
         <point x="352" y="432"/>
         <point x="704" y="432"/>
      </connection>
      <connection name="rot2" port1="Ship2.rot" port2="rot2.i0">
         <point x="352" y="448"/>
         <point x="704" y="448"/>
      </connection>
      <connection name="bulletx2" port1="Ship2.bulletx" port2="bulletx2.i0">
         <point x="352" y="464"/>
         <point x="704" y="464"/>
      </connection>
      <connection name="bullety2" port1="Ship2.bullety" port2="bullety2.i0">
         <point x="352" y="480"/>
         <point x="704" y="480"/>
      </connection>
      <connection name="bullet2" port1="Ship2.bullet" port2="bullet2.i0">
         <point x="352" y="496"/>
         <point x="704" y="496"/>
      </connection>
      <connection name="x2" port1="Ship2.x" port2="Hit1On2.shipx">
         <point x="352" y="416"/>
         <point x="368" y="416"/>
         <point x="368" y="176"/>
         <point x="432" y="176"/>
      </connection>
      <connection name="y2" port1="Ship2.y" port2="Hit1On2.shipy">
         <point x="352" y="432"/>
         <point x="368" y="432"/>
         <point x="368" y="192"/>
         <point x="432" y="192"/>
      </connection>
      <connection name="x1" port1="Ship1.x" port2="Hit2On1.shipx">
         <point x="352" y="32"/>
         <point x="384" y="32"/>
         <point x="384" y="288"/>
         <point x="432" y="288"/>
      </connection>
      <connection name="y1" port1="Ship1.y" port2="Hit2On1.shipy">
         <point x="352" y="48"/>
         <point x="384" y="48"/>
         <point x="384" y="304"/>
         <point x="432" y="304"/>
      </connection>
      <connection name="bulletx2" port1="Ship2.bulletx" port2="Hit2On1.bulletx">
         <point x="352" y="464"/>
         <point x="384" y="464"/>
         <point x="384" y="320"/>
         <point x="432" y="320"/>
      </connection>
      <connection name="bullety2" port1="Ship2.bullety" port2="Hit2On1.bullety">
         <point x="352" y="480"/>
         <point x="384" y="480"/>
         <point x="384" y="336"/>
         <point x="432" y="336"/>
      </connection>
      <connection name="bullet2" port1="Ship2.bullet" port2="Hit2On1.bullet">
         <point x="352" y="496"/>
         <point x="384" y="496"/>
         <point x="384" y="352"/>
         <point x="432" y="352"/>
      </connection>
      <connection name="bulletx1" port1="Ship1.bulletx" port2="Hit1On2.bulletx">
         <point x="352" y="80"/>
         <point x="368" y="80"/>
         <point x="368" y="208"/>
         <point x="432" y="208"/>
      </connection>
      <connection name="bullety1" port1="Ship1.bullety" port2="Hit1On2.bullety">
         <point x="352" y="96"/>
         <point x="368" y="96"/>
         <point x="368" y="224"/>
         <point x="432" y="224"/>
      </connection>
      <connection name="bullet1" port1="Ship1.bullet" port2="Hit1On2.bullet">
         <point x="352" y="112"/>
         <point x="368" y="112"/>
         <point x="368" y="240"/>
         <point x="432" y="240"/>
      </connection>
      <connection name="hit1on2" port1="Hit1On2.hit" port2="Ship1.hit">
         <point x="496" y="176"/>
         <point x="560" y="176"/>
         <point x="560" y="144"/>
         <point x="256" y="144"/>
         <point x="256" y="112"/>
         <point x="288" y="112"/>
      </connection>
      <connection name="hit2on1" port1="Hit2On1.hit" port2="Ship2.hit">
         <point x="496" y="288"/>
         <point x="560" y="288"/>
         <point x="560" y="384"/>
         <point x="256" y="384"/>
         <point x="256" y="496"/>
         <point x="288" y="496"/>
      </connection>
      <connection name="startx" port1="Value1.o" port2="Ship1.startx">
         <point x="64" y="96"/>
         <point x="288" y="96"/>
      </connection>
      <connection name="startx2" port1="Value2.o" port2="Ship2.startx">
         <point x="64" y="480"/>
         <point x="288" y="480"/>
      </connection>
      <connection name="hits1on2" port1="Hit1On2.count" port2="hits1on2.i0">
         <point x="496" y="192"/>
         <point x="704" y="192"/>
      </connection>
      <connection name="hits2on1" port1="Hit2On1.count" port2="hits2on1.i0">
         <point x="496" y="304"/>
         <point x="704" y="304"/>
      </connection>
      <connection name="left2" port1="left2.o" port2="Ship2.left">
         <point x="64" y="416"/>
         <point x="288" y="416"/>
      </connection>
      <connection name="right2" port1="right2.o" port2="Ship2.right">
         <point x="64" y="432"/>
         <point x="288" y="432"/>
      </connection>
      <connection name="thrust2" port1="thrust2.o" port2="Ship2.thrust">
         <point x="64" y="448"/>
         <point x="288" y="448"/>
      </connection>
      <connection name="fire2" port1="fire2.o" port2="Ship2.fire">
         <point x="64" y="464"/>
         <point x="288" y="464"/>
      </connection>
   </schematic>
</rtflowfile>
